Extends the Writer class to output messages to Phing's log

author | Michiel Rook
version | $Id: ccb6c8b930bb3f293074969323467edeaf40bd02 $
package | phing.util

### Methods

## Constructs a new LogWriter object

    __construct(\Task $task, $level)

### Parameters

#### $task

#### $level

## Close the stream.

    close()

see | \global\Writer::close()

### Exceptions

`\IOException` | - if there is an error closing stream.

## Flush the stream, if supported by the stream.

    flush()

Inherited

inherited_from | \Writer::flush()

## Returns a string representation of resource filename, url, etc.

    getResource() : string

that is being written to.

see | \global\Writer::getResource()

### Returns

`string`

## open()

    open()

see | \global\Writer::open()

## reset()

    reset()

see | \global\Writer::reset()

## Writes data to output stream.

    write(string $buf, int $off, int $len)

see | \global\Writer::write()

### Parameters

#### $buf

`string`

#### $off

`int`

#### $len

`int`

### Properties

##

    $level

##

    $task